// *******************************************************************
// Copyright (C) 2009 Telos Systems, TLS Corp.
// All rights reserved.
//
// No part of this source code or associated documentation may be 
// reproduced or utilized in any form or by any means, electronic or 
// mechanical, without permission in writing from TLS Corp.
// -------------------------------------------------------------------
//      File: APSend.h
// Description: See class description.
//    Author: Ioan L. Rus
//      Date: Nov 18, 2009
// Revisions: 
// -------------------------------------------------------------------
// INI Date        Description
// --- ----------- ---------------------------------------------------
// 
// *******************************************************************
#ifndef _APMESSAGES_H_INCLUDED_
#define _APMESSAGES_H_INCLUDED_

enum {
  APCLITOSRV_CONNECT,
  APCLITOSRV_ENUMERATESHOWS,
  APCLITOSRV_ENUMERATEHOSTSFORSHOW,
  APCLITOSRV_CHANGESHOW,
  APCLITOSRV_CONNECTTOSHOW,
  APCLITOSRV_ENUMERATEDIRECTORS,
  APCLITOSRV_ATTACHTODIRECTOR,
  APCLITOSRV_ATTACHASTALENT,
  APCLITOSRV_POSTBUSYALLBUTTON,
  APCLITOSRV_POSTDELAYDUMPBUTTON,
  APCLITOSRV_POSTDIALKEY,
  APCLITOSRV_POSTDROPBUTTON,
  APCLITOSRV_POSTHOLDBUTTON,
  APCLITOSRV_POSTLINEBUTTON,
  APCLITOSRV_POSTMUTEBUTTON,
  APCLITOSRV_POSTNEXTBUTTON,
  APCLITOSRV_POSTRECORDBUTTON,
  APCLITOSRV_POSTSPEAKERBUTTON,
  APCLITOSRV_POSTTEXT,
  APCLITOSRV_POSTTRANSFERBUTTON,
  APCLITOSRV_POSTUPDATEALL,
  APCLITOSRV_ENUMERATESHOWSFORHOST,
  APCLITOSRV_POSTMUTERINGER,
  APCLITOSRV_POSTACOUSTICADAPT,
  APCLITOSRV_MAX_INDEX
};

enum {
  APSRVTOCLI_ENUMERATESHOWSCALLBACK,
  APSRVTOCLI_ENUMERATEHOSTSCALLBACK,
  APSRVTOCLI_ENUMERATEDIRECTORSCALLBACK,
  APSRVTOCLI_SENDSHOWINFO    ,
  APSRVTOCLI_SENDMODE        ,
  APSRVTOCLI_SENDSHOWCHANGE  ,
  APSRVTOCLI_SENDRECORD      ,
  APSRVTOCLI_SENDBUSYALL     ,
  APSRVTOCLI_SENDTRANSFER    ,
  APSRVTOCLI_SENDMUTE        ,
  APSRVTOCLI_SENDRINGMUTE    ,
  APSRVTOCLI_SENDDELAYDUMP   ,
  APSRVTOCLI_SENDHANDSET     ,
  APSRVTOCLI_SENDSPEAKER     ,
  APSRVTOCLI_SENDLINESTATE   ,
  APSRVTOCLI_SENDSEIZELINE   ,
  APSRVTOCLI_SENDRINGLINE    ,
  APSRVTOCLI_SENDDROPLINE    ,
  APSRVTOCLI_SENDANSWERLINE  ,
  APSRVTOCLI_SENDSELECTLINE  ,
  APSRVTOCLI_SENDDIALKEY     ,
  APSRVTOCLI_SENDTEXT        ,
  APSRVTOCLI_SENDERROR       ,
  APSRVTOCLI_ENUMERATESHOWSFORHOSTCALLBACK,
  APSRVTOCLI_MAX_INDEX
};

#endif // _APMESSAGES_H_INCLUDED_
